PublicSuffixPatterns
Date: 2016-05-24

com.google.thirdparty.publicsuffix

## Class PublicSuffixPatterns

- java.lang.Object
- - com.google.thirdparty.publicsuffix.PublicSuffixPatterns

-     @GwtCompatible
      @Beta
      public final class PublicSuffixPatterns
      extends java.lang.Object

  Do not use this class directly. For access to public-suffix information, use `InternetDomainName`. A generated static class containing public members which provide domain name patterns used in determining whether a given domain name is an effective top-level domain (public suffix).

  Because this class is used in GWT, the data members are stored in a space-efficient manner. `TrieParser`.

  Since:
    16.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType>` | `EXACT` If a hostname is contained as a key in this map, it is a public suffix.
    `static ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType>` | `EXCLUDED` The elements in this map would pass the UNDER test, but are known not to be public suffixes and are thus excluded from consideration.
    `static ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType>` | `UNDER` If a hostname is not a key in the EXCLUDE map, and if removing its leftmost component results in a name which is a key in this map, it is a public suffix.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXACT

          public static final ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType> EXACT

      If a hostname is contained as a key in this map, it is a public suffix.

    - #### UNDER

          public static final ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType> UNDER

      If a hostname is not a key in the EXCLUDE map, and if removing its leftmost component results in a name which is a key in this map, it is a public suffix.

    - #### EXCLUDED

          public static final ImmutableMap<java.lang.String,com.google.thirdparty.publicsuffix.PublicSuffixType> EXCLUDED

      The elements in this map would pass the UNDER test, but are known not to be public suffixes and are thus excluded from consideration. Since it refers to elements in UNDER of the same type, the type is actually not important here. The map is simply used for consistency reasons.